Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractImageIOHandlerFactoryInterface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractImageIOHandlerFactory, QImageIOPlugin

    public interface QAbstractImageIOHandlerFactoryInterface

extends QtJambiInterface, QAbstractFactoryInterface

Method Summary
`long` | `__qt_cast_to_QAbstractImageIOHandlerFactory(long ptr)` This method is internal to Qt Jambi.
`QImageIOHandler` | `create(QIODevice device, QByteArray format)` Creates and returns a `QImageIOHandler` subclass, with `device` and `format` set.
`java.util.List<java.lang.String>` | `keys()` Returns the list of image keys this plugin supports.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    QImageIOHandler create(QIODevice device,
                           QByteArray format)

  Creates and returns a `QImageIOHandler` subclass, with `device` and `format` set. The `format` must come from the list returned by `keys()`. Format names are case sensitive.

See also:
  `keys()`.

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of image keys this plugin supports.

  These keys are usually the names of the image formats that are implemented in the plugin (e.g., "jpg" or "gif").

See also:
  `capabilities()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractImageIOHandlerFactory

    long __qt_cast_to_QAbstractImageIOHandlerFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

st<java.lang.String> keys()

  Returns the list of image keys this plugin supports.

  These keys are usually the names of the image formats that are implemented in the plugin (e.g., "jpg" or "gif").

See also:
  `capabilities()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractImageIOHandlerFactory

    long __qt_cast_to_QAbstractImageIOHandlerFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class